/*******************************************************************************
* File Name: Stat_Transmitting.c  
* Version 1.90
*
* Description:
*  This file contains API to enable firmware to read the value of a Status 
*  Register.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "Stat_Transmitting.h"

#if !defined(Stat_Transmitting_sts_sts_reg__REMOVED) /* Check for removal by optimization */


/*******************************************************************************
* Function Name: Stat_Transmitting_Read
********************************************************************************
*
* Summary:
*  Reads the current value assigned to the Status Register.
*
* Parameters:
*  None.
*
* Return:
*  The current value in the Status Register.
*
*******************************************************************************/
uint8 Stat_Transmitting_Read(void) 
{ 
    return Stat_Transmitting_Status;
}


/*******************************************************************************
* Function Name: Stat_Transmitting_InterruptEnable
********************************************************************************
*
* Summary:
*  Enables the Status Register interrupt.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void Stat_Transmitting_InterruptEnable(void) 
{
    uint8 interruptState;
    interruptState = CyEnterCriticalSection();
    Stat_Transmitting_Status_Aux_Ctrl |= Stat_Transmitting_STATUS_INTR_ENBL;
    CyExitCriticalSection(interruptState);
}


/*******************************************************************************
* Function Name: Stat_Transmitting_InterruptDisable
********************************************************************************
*
* Summary:
*  Disables the Status Register interrupt.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void Stat_Transmitting_InterruptDisable(void) 
{
    uint8 interruptState;
    interruptState = CyEnterCriticalSection();
    Stat_Transmitting_Status_Aux_Ctrl &= (uint8)(~Stat_Transmitting_STATUS_INTR_ENBL);
    CyExitCriticalSection(interruptState);
}


/*******************************************************************************
* Function Name: Stat_Transmitting_WriteMask
********************************************************************************
*
* Summary:
*  Writes the current mask value assigned to the Status Register.
*
* Parameters:
*  mask:  Value to write into the mask register.
*
* Return:
*  None.
*
*******************************************************************************/
void Stat_Transmitting_WriteMask(uint8 mask) 
{
    #if(Stat_Transmitting_INPUTS < 8u)
    	mask &= ((uint8)(1u << Stat_Transmitting_INPUTS) - 1u);
	#endif /* End Stat_Transmitting_INPUTS < 8u */
    Stat_Transmitting_Status_Mask = mask;
}


/*******************************************************************************
* Function Name: Stat_Transmitting_ReadMask
********************************************************************************
*
* Summary:
*  Reads the current interrupt mask assigned to the Status Register.
*
* Parameters:
*  None.
*
* Return:
*  The value of the interrupt mask of the Status Register.
*
*******************************************************************************/
uint8 Stat_Transmitting_ReadMask(void) 
{
    return Stat_Transmitting_Status_Mask;
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
